-- ********************************************************************************
-- ********************************************************************************
-- * Midtown Madness X                                                            *
-- * Checkpoint-race script                                                       *
-- * "Going downtown"                                                             *
-- ********************************************************************************
-- ********************************************************************************
gameLoadScript("logic_general.lua")

if gameIsMulti()==1 then
	gameLoadScript("logic_multi_checkpoint.lua")
else
	gameLoadScript("logic_checkpoint.lua")
end


-- ********************************************************************************
-- * Global variables                                                             *
-- ********************************************************************************
total_targets = 29				-- Amount of gates on route

spawn_location = {}				-- Locations (x,y,z,a) where to spawn player
	spawn_location[1] = {-393.159943,17.373129,209.114655, 1.446286;}
	spawn_location[2] = {-388.540710,17.373013,214.448624, 1.416478, "", "aggressive";}
	spawn_location[3] = {-381.195679,17.373066,210.713150, 1.426761, "", "passive";}
	spawn_location[4] = {-375.748047,17.373087,216.176666, 1.428152, "", "aggressive";}
	spawn_location[5] = {-368.689728,17.354670,212.576279, 1.430056, "", "passive";}
	spawn_location[6] = {-363.906952,17.348770,217.481339, 1.441100, "", "aggressive";}
	spawn_location[7] = {-357.066895,17.348194,213.852615, 1.443962, "", "passive";}
	spawn_location[8] = {-352.138733,17.324116,218.581543, 1.413676, "", "aggressive";}

ai_target_orders = 2
ai_targets[1] = {29, "CP-0","CP-1","CP-2","CP-3","CP-4","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-11","CP-12","CP-13","CP-14","CP-15","CP-16","CP-17","CP-18","CP-19","CP-20","CP-21","WP-0","CP-22","WP-1","CP-23","CP-24","CP-25","CP-26","WP-3","CP-27","WP-5","CP-28";}
ai_targets[2] = {29, "CP-0","CP-1","CP-2","CP-3","CP-4","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-11","CP-12","CP-13","CP-14","CP-15","CP-16","CP-17","CP-18","CP-19","CP-20","CP-21","WP-0","CP-22","WP-2","CP-23","CP-24","CP-25","CP-26","WP-3","CP-27","WP-5","CP-28";}
ai_targets[1] = {29, "CP-0","CP-1","CP-2","CP-3","CP-4","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-11","CP-12","CP-13","CP-14","CP-15","CP-16","CP-17","CP-18","CP-19","CP-20","CP-21","WP-0","CP-22","WP-1","CP-23","CP-24","CP-25","CP-26","WP-4","CP-27","WP-5","CP-28";}
ai_targets[2] = {29, "CP-0","CP-1","CP-2","CP-3","CP-4","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-11","CP-12","CP-13","CP-14","CP-15","CP-16","CP-17","CP-18","CP-19","CP-20","CP-21","WP-0","CP-22","WP-2","CP-23","CP-24","CP-25","CP-26","WP-4","CP-27","WP-5","CP-28";}
