-- ********************************************************************************
-- ********************************************************************************
-- * Midtown Madness X                                                            *
-- * Checkpoint-race script                                                       *
-- * "Going downtown"                                                             *
-- ********************************************************************************
-- ********************************************************************************
gameLoadScript("logic_general.lua")

if gameIsMulti()==1 then
	gameLoadScript("logic_multi_checkpoint.lua")
else
	gameLoadScript("logic_checkpoint.lua")
end


-- ********************************************************************************
-- * Global variables                                                             *
-- ********************************************************************************
total_targets = 10				-- Amount of gates on route

spawn_location = {}				-- Locations (x,y,z,a) where to spawn player
	spawn_location[1] = {-609.730286,29.268461,894.314514, 1.453719;}
	spawn_location[2] = {-603.288330,29.205904,898.373352, 1.455318, "", "aggressive";}
	spawn_location[3] = {-595.685791,29.111498,895.868591, 1.451470, "", "passive";}
	spawn_location[4] = {-588.836914,28.988878,900.150391, 1.461536, "", "aggressive";}
	spawn_location[5] = {-580.840942,28.832283,897.613647, 1.434744, "", "passive";}
	spawn_location[6] = {-573.449768,28.640968,902.042297, 1.451283, "", "aggressive";}
	spawn_location[7] = {-565.298340,28.422300,899.474609, 1.459038, "", "passive";}
	spawn_location[8] = {-558.290527,28.184664,903.919312, 1.440528, "", "aggressive";}

ai_target_orders = 5
ai_targets[1] = {10, "CP-0","CP-1","CP-2","CP-3","CP-4","CP-5","CP-6","CP-7","CP-8","CP-9";}
ai_targets[2] = {10, "CP-9","CP-8","CP-7","CP-6","CP-5","CP-4","CP-3","CP-2","CP-1","CP-0";}
ai_targets[3] = {10, "CP-9","CP-8","CP-7","CP-6","CP-0","CP-5","CP-4","CP-3","CP-1","CP-2";}
ai_targets[4] = {10, "CP-0","CP-6","CP-7","CP-8","CP-9","CP-2","CP-1","CP-3","CP-4","CP-5";}
ai_targets[5] = {10, "CP-1","CP-2","CP-3","CP-4","CP-5","CP-0","CP-6","CP-7","CP-8","CP-9";}
