-- ********************************************************************************
-- ********************************************************************************
-- * Midtown Madness X                                                            *
-- * Checkpoint-race script                                                       *
-- * "Parktown"                                                                   *
-- ********************************************************************************
-- ********************************************************************************
gameLoadScript("logic_general.lua")

if gameIsMulti()==1 then
	gameLoadScript("logic_multi_checkpoint.lua")
else
	gameLoadScript("logic_checkpoint.lua")
end


-- ********************************************************************************
-- * Global variables                                                             *
-- ********************************************************************************
total_targets = 19				-- Amount of gates on route

spawn_location = {}				-- Locations (x,y,z,a) where to spawn player
	spawn_location[1] = {-2158.968750,21.746227,143.107300, 4.697962;}
	spawn_location[2] = {-2165.548828,21.879646,138.056580, 4.734693, "", "aggressive";}
	spawn_location[3] = {-2172.090088,22.113037,143.147385, 4.720811, "", "passive";}
	spawn_location[4] = {-2178.451660,22.359718,138.082581, 4.719078, "", "aggressive";}
	spawn_location[5] = {-2185.829834,22.662136,143.282242, 4.706019, "", "passive";}
	spawn_location[6] = {-2191.732910,22.908266,138.155807, 4.746645, "", "aggressive";}
	spawn_location[7] = {-2197.589111,23.146158,143.448486, 4.722208, "", "passive";}
	spawn_location[8] = {-2204.068848,23.404472,138.451309, 4.747126, "", "aggressive";}

ai_target_orders = 4
ai_targets[1] = {19, "CP-18","CP-2","CP-3","CP-4","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-11","CP-12","CP-13","CP-14","CP-15","CP-16","CP-17","CP-1","CP-0";}
ai_targets[2] = {19, "CP-13","CP-14","CP-4","CP-3","CP-2","CP-15","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-18","CP-11","CP-12","CP-16","CP-17","CP-1","CP-0";}
ai_targets[3] = {19, "CP-13","CP-5","CP-6","CP-7","CP-8","CP-9","CP-10","CP-18","CP-11","CP-12","CP-17","CP-16","CP-2","CP-15","CP-3","CP-4","CP-14","CP-1","CP-0";}
ai_targets[4] = {19, "CP-13","CP-17","CP-15","CP-3","CP-4","CP-5","CP-12","CP-7","CP-6","CP-5","CP-16","CP-10","CP-18","CP-11","CP-8","CP-9","CP-14","CP-1","CP-0";}
